Method: bidders.accounts.filterSets.nonBillableWinningBids.list

  • The provided content outlines how to list non-billable winning bids using a GET request to the specified API endpoint.

  • The request requires a filterSetName path parameter to specify the filter set applied to the metrics.

  • Optional query parameters include pageSize and pageToken for pagination of results.

  • A successful response will return an instance of ListNonBillableWinningBidsResponse, and the request requires the https://www.googleapis.com/auth/adexchange.buyer authorization scope.

List all reasons for which winning bids were not billable, with the number of bids not billed for each reason.

HTTP request

GET https://adexchangebuyer.googleapis.com/v2beta1/{filterSetName=bidders/*/accounts/*/filterSets/*}/nonBillableWinningBids

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
filterSetName

string

Name of the filter set that should be applied to the requested metrics. For example:

  • For a bidder-level filter set for bidder 123: bidders/123/filterSets/abc

  • For an account-level filter set for the buyer account representing bidder 123: bidders/123/accounts/123/filterSets/abc

  • For an account-level filter set for the child seat buyer account 456 whose bidder is 123: bidders/123/accounts/456/filterSets/abc

Query parameters

Parameters
pageSize

integer

Requested page size. The server may return fewer results than requested. If unspecified, the server will pick an appropriate default.

pageToken

string

A token identifying a page of results the server should return. Typically, this is the value of ListNonBillableWinningBidsResponse.nextPageToken returned from the previous call to the nonBillableWinningBids.list method.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of ListNonBillableWinningBidsResponse.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/adexchange.buyer